Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 744)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 745)
@@ -687,7 +687,7 @@
 	 */
 	public void saveParameter(String key, Object value)	{
 		// FIXME: debug
-		Log.info("TXMResult.saveParameter(): saving parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ") to node.");
+		//Log.info("TXMResult.saveParameter(): saving parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ") to node.");
 
 		TXMPreferences.putLocal(this, key, value);
 	}
@@ -887,9 +887,9 @@
 			targetField.setAccessible(true);
 
 			// FIXME: debug
-			if(value != null)	{
-				Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
-			}
+//			if(value != null)	{
+//				Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
+//			}
 
 			targetField.set(this, value);
 		}
@@ -1503,7 +1503,7 @@
 			skipComputing = true;
 		}
 
-		if (!this.isDirty()) {
+		else if (!this.isDirty()) {
 
 			// FIXME: Debug
 			System.err.println("TXMResult.compute(): " + this.getClass().getSimpleName() + ": result is not dirty, computing skipped.");
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 744)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 745)
@@ -177,7 +177,9 @@
 		lines.clear();
 		counts.clear();
 		partnames.clear();
-
+		currentpartid = 0;
+		nTotalTokens = 0;
+		
 		if (parent instanceof Corpus && "[]".equals(pQuery.getQueryString()) &&  pProperties.size() == 1) {
 			computeWithCorpusAndNoQuery(); // internally using a lexicon
 		}
@@ -187,7 +189,6 @@
 			if (parent instanceof Corpus) {
 
 				Corpus corpus = (Corpus)parent;
-				partnames.clear();
 				partnames.add(corpus.getName());
 
 				if (!scanCorpus(corpus)) {
@@ -203,7 +204,6 @@
 			else if (parent instanceof Partition) {
 
 				Partition partition = (Partition)parent;
-				partnames.clear();
 				for (Part part : partition.getParts()) {
 					scanCorpus(part);
 					currentpartid++;
@@ -487,7 +487,8 @@
 		try {
 			return this.pQuery.equals(index.getQuery())
 					&& this.pProperties.equals(index.getProperties())
-					&& this.pFminFilter == index.getFilterFmin() && this.pFmaxFilter == index.getFilterFmax();
+					&& this.pFminFilter == index.getFilterFmin()
+					&& this.pFmaxFilter == index.getFilterFmax();
 		}
 		catch(Exception e) {
 		}
@@ -824,7 +825,7 @@
 	}
 
 	/**
-	 * Gets the number of tokens found
+	 * Gets the number of tokens found.
 	 *
 	 * @return the number of tokens returned by the selection
 	 */
@@ -843,7 +844,7 @@
 	/**
 	 * Gets the v.
 	 *
-	 * @return the number of entrie in the index
+	 * @return the number of entries in the index
 	 */
 	public int getV() {
 		return lines.size();
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Line.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Line.java	(revision 744)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Line.java	(revision 745)
@@ -42,19 +42,16 @@
 public class Line {
 	
 	/** The Units property. */
-	public List<List<String>> UnitsProperty; // the values, for each property
-												// there is a list of property
-												// values
+	public List<List<String>> UnitsProperty; // the values, for each property there is a list of property values
+	
 	/** The Units ids. */
-												public List<int[]> UnitsIds; // the values, for each property there is a
-									// list of property values
+	public List<int[]> UnitsIds; // the values, for each property there is a list of property values
+	
 	/** The properties. */
-									public List<Property> properties = new ArrayList<Property>(); // the
-																	// properties
-																	// name
-	// UnitsProperty and properties have the same order
+	public List<Property> properties = new ArrayList<Property>(); // the properties name UnitsProperty and properties have the same order
+	
 	/** The signature. */
-																	private String signature;
+	private String signature;
 	
 	/** The counts. */
 	private int[] counts;
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 744)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 745)
@@ -529,10 +529,9 @@
 			if (partnames.size() > 1)
 				if (viewer.getTable().getColumnCount() < partnames.size() + 3) {
 					for (int i = 0; i < partnames.size(); i++) {
-						final TableColumn partColumn = new TableColumn(
-								viewer.getTable(), SWT.RIGHT);
+						final TableColumn partColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 						try {
-							partColumn.setText(partnames.get(i)+" t="+index.getPartition().getParts().get(i).getSize()); //$NON-NLS-1$
+							partColumn.setText(partnames.get(i) + " t=" + index.getPartition().getParts().get(i).getSize()); //$NON-NLS-1$
 						} catch (CqiClientException e1) {
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
 						}
